@charset "utf-8";

:root {
  --en-font: 'Poppins';
  --ja-font: 'Noto Sans JP';
  --font-color: #2F2F2F;
  --white-color: #fff;
  --base-color: #F9F5EF;
  --yellow-color: #FBD008;
  --lightyellow-color: #ffe364;
  --gray-color: #C4C4C4;
  --lightblack-color: #6A6969;
}

html {
  scroll-behavior: smooth;
}

#about, #facilities, #tbsado, #plan {
  scroll-margin-top: 150px;
}

body {
  font-size: 62.5%;
  width: 100%;
  font-family: var(--ja-font);
  font-weight: 500;
  color: var(--font-color);
}

.wrapper {
  background-color: var(--base-color);
}

a {
  color: var(--font-color);
}

img {
  display: block;
}

.sp-br {
  display: none;
}

#concept, #service, #facility {
  scroll-margin-top: 10rem;
}

/* ===================================
  header ヘッダー
====================================== */
header {
  position: fixed;
  top: 0;
  width: 100%;
  padding: 3rem 0;
  background-color: var(--base-color);
  z-index: calc(infinity);
}

.header-inner {
  position: relative;
  width: 90%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
}

.header-logo {
  max-width: 342px;
  width: 25%;
}

.header-logo img {
  width: 100%;
  height: auto;
}

.nav {
  width: 60%;
  display: flex;
  justify-content: space-between;
}

.nav-toggle {
  display: none;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 30px;
  background: transparent;
  border: none;
  cursor: pointer;
  position: absolute;
  right: 0;
  top: 50%;
  left: auto;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  margin-right: 10px;
}

.nav-toggle .line {
  width: 100%;
  height: 3px;
  background: black;
  transition: all 0.3s;
}

.nav li a {
  display: block;
  font-size: 2.4rem;
  font-family: var(--en-font);
  font-weight: 600;

  padding: 0 10px;
  /* 1つ目の影を隠す */
  overflow: hidden;
  color: transparent;
  /* テキスト本体は透明にする */
  /*
   影の設定
   1つ目：Y方向の位置にマイナスに設定してテキスト本体の上に配置、ぼかしなし
   2つ目：位置はテキスト本体と同じ、ぼかしなし
  */
  text-shadow: 0 -1.5em 0 #000, 0 0 0 #000;
  background: linear-gradient(to bottom, #000 50%, transparent 50%) 0 100%;
  background-size: 100% 200%;
  transition: text-shadow 0.3s, background-position 0.3s;
}

@media (hover: hover) and (pointer: fine) {
  .nav li a:hover {
    /* 2つの影の位置を上方向に1.5emずつずらす */
    text-shadow: 0 0 0 #fff, 0 1.5em 0 #000;

    /* 背景の位置を動かす */
    background-position: 0 0;
  }
}

@media (max-width: 1024px) {
  .header-logo {
    margin-left: 5rem;
  }

  .header-inner {
    width: 100%;
    margin: 0;
  }

  .nav {
    width: 280px;
    display: none;
    flex-direction: column;
    position: absolute;
    top: 60px;
    right: 0;
    background: var(--yellow-color);
    padding: 20px 15px;
  }

  .nav.active {
    display: flex;
  }

  .nav li a {
    font-size: 2rem;
    line-height: 2;
  }

  .nav-toggle {
    display: flex;
  }

  .nav-toggle.active .line:nth-child(1) {
    transform: rotate(45deg) translate(9px, 5px);
  }

  .nav-toggle.active .line:nth-child(2) {
    opacity: 0;
  }

  .nav-toggle.active .line:nth-child(3) {
    transform: rotate(-45deg) translate(8px, -5px);
  }
}

/* ===================================
  fixed 予約ボタン
====================================== */
.fixed-btn {
  position: fixed;
  bottom: 0;
  right: 0;
  /* background-color: #ffe676; */
  background-color: #fdcf00;
  width: fit-content;
  padding: 12px 4rem 5px 4rem;
  z-index: calc(infinity);
  border: 1px solid rgba(255, 255, 255, 0.5);
  transition: ease-in-out .3s;
}

.fixed-btn a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
  width: 100%;
  height: 100%;
}

.btn-txt {
  font-size: 2rem;
}

.btn-txt span {
  display: block;
  font-family: var(--en-font);
  font-size: 1.8rem;
  font-weight: 700;
  line-height: 1;
}

.arrow {
  width: 40px;
}

.arrow img {
  width: 100%;
  height: auto;
}

@media (hover: hover) and (pointer: fine) {
  .fixed-btn:hover {
    /* background-color: var(--yellow-color); */
    background-color: #ffe676;
  }
}

/* ===================================
  MV　メインビジュアル
====================================== */
.mv {
  margin-top: 96px; /* ヘッダーの高さ分 */
}

.mv img {
  width: 100%;
  height: auto;
}

/* ===================================
  共通要素
====================================== */
.common-cotainer {
  position: relative;
  width: 100%;
  margin-top: 12rem;
}

.common-flex {
  position: relative;
  z-index: 2;
  width: 90%;
  max-width: 1440px;
  display: flex;
  justify-content: space-between;
  gap: 3%;
  margin: 0 auto;
}

.common-pic, .common-box {
  width: calc(100% / 2);
}

.common-box {
  display: flex;
  flex-flow: column;
  justify-content: space-between;
}

.deco:empty {
  position: absolute;
  top: -40px;
  bottom: auto;
  right: 0;
  z-index: 1;
  width: 200px;
  height: 200px;
  background-color: #ffe364;
}

.common-pic img {
  width: 100%;
  height: auto;
  object-fit: cover;
  aspect-ratio: 3 / 2;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.5);
}

.title {
  font-size: 8rem;
  font-family: var(--en-font);
  line-height: 1;
  letter-spacing: 0.05em;
}


.ja-title {
  font-family: var(--ja-font);
  font-size: 3.2rem;
  line-height: 1;
  letter-spacing: 0.05em;
}

.common-txt p:nth-child(2) {
  margin-top: 2rem;
}

.p {
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 2;
  text-align: justify;
  color: var(--font-color);
  letter-spacing: 0.05em;
}

/* -----共通ボタン----- */
.cocmmon-btn {
  width: fit-content;
  transition: ease-in-out .3s;
  box-shadow: 0px 5px 8px rgba(0, 0, 0, 0.2);
}

.cocmmon-btn a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 36px;
  background-color: var(--yellow-color);
  padding: 16px 28px;
}

.cocmmon-btn a div:first-child {
  font-size: 2.4rem;
  font-weight: 700;
}

.cocmmon-btn a div:last-child {
  width: 60px;
}

.cocmmon-btn img {
  width: 100%;
  height: auto;
}

@media (hover: hover) and (pointer: fine) {
  .cocmmon-btn:hover {
    transform: translateY(-5px);

  }
}


/* ===================================
  about event
====================================== */
.event .deco:empty {
  position: absolute;
  top: -40px;
  right: 5rem;
}

/* ===================================
  intro
====================================== */
.intro .deco:empty {
  position: absolute;
  left: 0;
}

.intro .common-box {
  justify-content: space-around;
}

/* ===================================
  tbsado
====================================== */
.tbsado .title {
  font-size: 6rem;
}

.tbsado .common-box {
  gap: 3.4rem;
}

/* ===================================
  facilities
====================================== */
.facilities .title {
  position: relative;
  z-index: 2;
  width: 90%;
  margin: 0 auto 3rem;
}

.facilities .deco:empty {
  position: absolute;
  left: 0;
  top: -40px;
}

.facilities .common-box {
  justify-content: center;
}

/* -------------------------
大浴場について
---------------------------- */
.bath-txt .ja-title span {
  display: block;
  font-size: 2rem;
  line-height: 2;
  font-weight: 500;
}

.bath-txt dl {
  width: 100%;
  background-color: #fbce081e;
  padding: 15px;
  margin-top: 5rem;
}

.bath-txt dt {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 10px;
  text-align: center;
}

.bath-txt dt span {
  border-bottom: 5px solid var(--yellow-color);
  padding: 0 5px;
}

.bath-txt dd {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 3%;
  font-size: 1.8rem;
  font-weight: 500;
  letter-spacing: 0.1em;
}

/* -------------------------
朝食について
---------------------------- */
.breakfast {
  width: 90%;
  max-width: 1440px;
  margin: 5rem auto;
}

.breakfast .ja-title span {
  font-size: 1.8rem;
  font-weight: 500;
}

.breakfast .p {
  margin: 3rem 0;
}

@media screen and (min-width: 769px) {
  .breakfast .bf-pc {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }

  .breakfast .col-2, .breakfast .col-3 {
    font-size: 1.8rem;
  }

  /* SP版 */
  .bf-sp {
    display: none;
  }
}

.breakfast table th, .breakfast table td {
  border: 1px solid var(--lightblack-color);
  padding: 10px;
  font-size: 2rem;
  font-weight: 500;
  text-align: center;
}

.breakfast table th {
  background-color: #fbce081e;
}

.breakfast .note {
  font-size: 1.4rem;
  margin-top: 2rem;
}

.breakfast .restaurant {
  display: flex;
  justify-content: center;
  gap: 5%;
  padding: 0 5rem;
  margin-top: 5rem;
}

.breakfast figure img {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5);
  border: 1px solid #a8a8a8;
}

.breakfast figure {
  width: calc(100% / 3);
}

.breakfast figcaption p {
  font-size: 1.8rem;
  text-align: right;
  margin-top: 10px;
}

.breakfast figcaption div {
  width: fit-content;
  font-size: 1.6rem;
  margin-right: 0;
  margin-left: auto;
}

.breakfast figcaption small {
  display: block;
  width: fit-content;
  font-size: 1.4rem;
  margin-right: 0;
  margin-left: auto;
  margin-top: 10px;
}

/* ---------------------------
プラン特典について
------------------------------ */
.benefits {
  width: 90%;
  max-width: 1440px;
  margin: 5rem auto;
}

.b-container {
  display: flex;
  flex-wrap: wrap;
  gap: 8rem 5%;
  margin-top: 5rem;
}

.b-item {
  position: relative;
  z-index: 1;
  width: calc((100% - 5%) / 2);
}

.b-pic {
  position: relative;
  z-index: 3;
  width: 80%;
}

.b-item .b-pic img {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  filter: contrast(0.8);
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.5);
  border: 1px solid #a8a8a8;
}

.b-txt {
  width: 95%;
  height: 400px;
  padding: 3rem;
  margin-right: 0;
  margin-left: auto;
}

.b-txt h3 img {
  margin-right: 10px;
}

.b-txt h3 .icon-1 {
  width: 45px;
  height: auto;
}

.b-txt h3 .icon-2 {
  width: 35px;
  height: auto;
}

.b-txt h3 .icon-3 {
  width: 50px;
  height: auto;
}

.b-txt h3 .icon-4 {
  width: 60px;
  height: auto;
}

.b-txt h3 {
  display: flex;
  align-items: center;
  font-size: 2.4rem;
}

.b-txt p {
  font-size: 1.8rem;
  line-height: 1.8;
  font-weight: 400;
  margin-top: 1rem;
}

.b-deco:empty {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 2;
  width: 95%;
  height: 90%;
  border: 5px solid var(--font-color);
}

/* ===================================
  プラン
====================================== */
.plan .deco {
  left: auto;
  right: 0;
}

.plan .common-box {
  justify-content: space-around;
}

.plan .plan-txt h3 {
  margin-bottom: 2rem;
}

.plan .plan-txt h3 span {
  font-size: 1.8rem;
  font-weight: 500;
}

.plan-detail {
  width: 90%;
  max-width: 1440px;
  margin: 8rem auto 0;
}

.plan-detail h4 {
  font-size: 2.4rem;
  text-align: center;
  margin: 0 auto;
}

@media screen and (min-width: 769px) {
  .plan-detail .plan-pc {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    margin-top: 3rem;
    box-sizing: border-box;
  }
  .plan .col-1 {
    width: calc(100% - 75%);
  }

  .plan .col-2 {
    width: 50%;
  }

  .plan .col-3 {
    width: 25%;
  }

  /* SP版 */
  .plan-sp {
    display: none;
  }
}

.plan-detail table th, .plan-detail table td {
  border: 1px solid var(--lightblack-color);
  padding: 10px 30px;
}

.plan-detail table th {
  background-color: #fbce081e;
  text-align: center;
  font-weight: 500;
}

th.room-type {
  font-size: 2rem;
}

.plan-detail table td {
  font-weight: 500;
  font-size: 1.8rem;
}

.plan-detail table .fee p {
  width: fit-content;
  margin: 0 auto;
}



.plan .col-1, .plan .col-2, .plan .col-3 {
  font-size: 1.8rem;
}

.plan-note {
  margin: 3rem auto;
}

.plan-note p {
  font-size: 1.4rem;
  line-height: 1.6;
}

/* ===================================
  注意事項
====================================== */
.attention {
  width: 90%;
  max-width: 1440px;
  margin: 8rem auto;
  border: 5px solid var(--font-color);
  padding: 10rem 0;
}

.at-inner {
  width: 80%;
  margin: 0 auto;
}

.attention .ja-title {
  text-align: center;
}

.attention .ja-title span {
  border-bottom: 5px solid var(--yellow-color);
  padding: 0 5px;
}

.a-item {
  margin-top: 5rem;
}

.a-item .p {
  line-height: 1.6;
  margin-top: 15px;
  font-weight: 500;
}

.a-title {
  font-size: 2.4rem;
}


.a-item h4 {
  font-size: 2rem;
  font-weight: 600;
  margin-top: 15px;
}

.a-item small {
  display: block;
  font-size: 1.4rem;
  font-weight: 500;
  color: var(--lightblack-color);
  margin-top: 15px;
}

/* --------バイク事前配送--------- */
.send {
  width: 60%;
  background-color: var(--lightyellow-color);
  padding: 2rem;
  margin-top: 15px;
  border-radius: 20px;
  margin-right: auto;
  margin-left: auto;
}

.send h5 {
  font-size: 2rem;
  font-weight: 600;
  text-align: center;
}

.send address {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 3%;
  font-size: 1.6rem;
  margin-top: 15px;
}

.send p {
  text-align: center;
}

.a-item table {
  width: 280px;
  margin-top: 15px;
  margin-right: auto;
  margin-left: auto;
}

.a-item table th, .a-item table td {
  width: 50%;
  font-size: 2rem;
  text-align: center;
  font-weight: 600;
  padding: 10px 0;
}

.a-item table th {
  border-bottom: 1px solid var(--lightblack-color);
  border-right: 1px solid var(--lightblack-color);
}

.a-item table td {
  border-bottom: 1px solid var(--lightblack-color);
}

.a-item .row-l {
  border-bottom: none;
}

/* ==================================
フッター
===================================== */
.ft-inner {
  display: flex;
  justify-content: space-between;
}

.ft-item {
  width: 50%;
}

.ft-logo img {
  width: 100%;
  height: auto;
}

.ft-logo {
  width: 200px;
  margin: 0 auto;
}

.ft-item h2 {
  font-size: 1.8rem;
  letter-spacing: 0.05em;
  line-height: 2;
}

.ft-item address {
  font-size: 1.6rem;
  letter-spacing: 0.05em;
}

.ft-item p {
  font-size: 1.6rem;
  letter-spacing: 0.05em;
  line-height: 1.6;
}

.copy {
  background-color: var(--yellow-color);
  padding: 15px 0;
  text-align: center;
  margin-top: 2rem;
}

.copy small {
  font-size: 1.6rem;
}